@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap');
body{
    background-image: url("main_bg.jpg");
}

/*Dashboard*/
    #dashboard{
        width: auto;
        overflow: hidden;
        background-color:turquoise;
        border-style: solid;
        border-radius: 8px;
        border-color: lightgrey;
    }
        .barElem{
            float: left;
            display: block;
            color: black;
            text-align: center;
            padding: 14px 16px;
            text-decoration: none;
        }
        .barElem #searchBar{
            width: 300px;
            height: 40px;
            margin-bottom: 20px;
            /* margin-right: 200px; */
            /* margin-left: 10px; */
            border-style: solid;
            border-color: lavender;
            border-radius: 5px;
        }
        .barElem a:hover{
            background-color: #ddd;
            color: black;
        }
        .barElem a:active {
            background-color: #2196F3;
            color: white;
        }
        #home a:hover{
            background-color:transparent;
        }
        #searchBar{
            padding: 6px;
            border-style: solid;
            border-radius: 8px;
            border-color: grey;
            margin-top: 8px;
            margin-right: 16px;
            font-size: 17px;
        }
        #searchSub{
            padding: 6px;
            margin-top: 8px;
            margin-right: 16px;
            font-size: 17px;
            border-style: solid;
            border-radius: 8px;
            border-color: grey;
        }
        .userSection{
            display: flex;
            float:right;
        }
        #cart{
            float:right;
        }
            #cart a{
                color: white;
                text-decoration:underline;
            }
        #user{
            float: right;
            background-color: blue;
            color: white;
        }
        #user a:visited{
            color: white;
        }
        #user a:link{
            color:white;
        }
        #user a:hover{
            background-color: cyan;
            color:black;
        }
        .barElem a{
            text-decoration: none;
        }

/*The main page*/
    .mainPage{ 
        display:grid;
        grid-template-columns: auto;
        padding: 10px;
        background-color: #37a9f0;
        font-family: "Google Sans", sans-serif;
    }

    .mainPage div{
        padding: 10px;
        font-size: 30px;
        text-align: center;
        margin-bottom: 17px;
    }

    .mainPage h1{
        border-style: solid;
        border-color: #37a9f0;
        border-width: 5px;
        border-radius: 10px;
        background-color: white;
    }

    /*Populating the product list*/
    .item{
        cursor: pointer;
    }
    .deals{
        background-image: url("main_bg.jpg");
        width: 100%;
    }
        .deals .list_product{
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
        }
        .deals .list_product .item{
            background-color: aliceblue;
            padding: 29px;
            border-style: solid;
            border-color:rgb(226, 224, 224);
            border-radius: 10px;
        }
    .recommended{
        background-image: url("main_bg.jpg");
    }
        .recommended .list_product{
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
        }
        .recommended .list_product .item{
            background-color: aliceblue;
            padding: 29px;
            border-style: solid;
            border-color:rgb(226, 224, 224);
            border-radius: 10px;
        }
    .other_products{
        background-image: url("main_bg.jpg");
    }
        .other_products .list_product{
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
        }
        .other_products .list_product .item{
            background-color: aliceblue;
            padding: 29px;
            border-style: solid;
            border-color:rgb(226, 224, 224);
            border-radius: 10px;
        }

/*The search page*/
    .searchPage div{
        padding: 10px;
        font-size: 10px;
        text-align: center;
    }
    .search-text{
        color: grey;
    }
    .search-results{
        border-style: solid;
        background-color: #ddd;
        border-color: rgb(244, 244, 244);
        display: grid;
        grid-template-columns: auto;
        justify-content: center;
    }
    .search-results .products{
        width: auto;
        height: auto;
        border-style: solid;
        border-color: #2d6a4f;
        border-radius: 10%;
        text-align: center;
        margin-bottom: 5%;
        background-color: #f5fff5;
        font-size: 200%;
    }
    .product_name{
        font-size: 23px;
    }

    .search-filters{
        background-color: #b1cad7;
        display:flex;
    }

/*The cart page*/
.cart_container{
    margin-top: 10px;
}
#active-cart_container{
    border-style:solid;
    flex-basis: 1200px;
    background-color: whitesmoke;
    border-radius: 10px;
    border-color: white;
}
.cart_field{
    display: flex;
    justify-content: space-between;
}

/*The cart list itself*/
#items_in_cart{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.cart-item{
    display: flex;
    padding-bottom: 10px;
    width: 100%;
    justify-content: space-between;
    background-color: #c2f2ef;
    border-style: solid;
    border-color: #c3e8e6;
    border-radius: 10px;
    cursor: pointer;
}
.cart-item .main_content{
    display:flex;
}
.cart-item #img{
    align-content: center;
    padding-left: 30px;
    padding-right: 30px;
    cursor: default;
}

.name_seller_variant{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    cursor: default;
}
.name_seller_variant #product_name{
    font-size: 23px;
}

.cart-item .price{
    padding-right: 30px;
    cursor:text;
}

/*The checkout container*/
.form-elem{
    margin-bottom: 10px;
    margin-top: 10px;
    margin-right: 9px;
    border-radius: 10px;
}
#proceed-to-checkout_container{
    align-content: center;
    background-color: whitesmoke;
    border-style: solid;
    border-radius: 10px;
    border-color: white;
}
.buy_form{
    padding: 7px;
}

.quantity{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 80px;
    margin-top: 5px;
    background-color: white;
    border-radius: 10px;
}
.quantity small{
    display: inline-block;
    width: 25px;
    height: 25px;
    color: #555;
    cursor: pointer;
    border-style: solid;
    border-radius: 10px;
    font-size: 15px;
}
.quantity small:nth-child(2){
    background-color: transparent;
    color: black;
    cursor:default;
}
